diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/wifi/test/wifi-transmit-mask-test.cc ns-3.45/src/wifi/test/wifi-transmit-mask-test.cc
--- ns-3.44/src/wifi/test/wifi-transmit-mask-test.cc	2025-03-09 16:55:49.815372700 -0700
+++ ns-3.45/src/wifi/test/wifi-transmit-mask-test.cc	2025-06-01 20:34:45.643702300 -0700
@@ -213,10 +213,12 @@
         break;
 
     case WIFI_STANDARD_80211ax:
+    case WIFI_STANDARD_80211be:
         NS_ASSERT((m_band != WIFI_PHY_BAND_2_4GHZ) ||
                   (m_channelWidth < MHz_u{80})); // not enough space in 2.4 GHz bands
         NS_ASSERT(m_channelWidth == MHz_u{20} || m_channelWidth == MHz_u{40} ||
-                  m_channelWidth == MHz_u{80} || m_channelWidth == MHz_u{160});
+                  m_channelWidth == MHz_u{80} || m_channelWidth == MHz_u{160} ||
+                  m_channelWidth == MHz_u{320});
         m_actualSpectrum =
             WifiSpectrumValueHelper::CreateHeOfdmTxPowerSpectralDensity(m_centerFreqs,
                                                                         m_channelWidth,
@@ -961,7 +963,7 @@
         std::make_pair(2563, dBr_u{0.0}),     // first 80 MHz allocated band right (start)
         std::make_pair(3060, dBr_u{0.0}),     // first 80 MHz allocated band right (stop)
         std::make_pair(3061, dBr_u{-20.0}),   // gap between 80 MHz bands (start)
-        std::make_pair(3083, dBr_u{-20.0}),   // gap between 80 MHz bands (start)
+        std::make_pair(3083, dBr_u{-20.0}),   // gap between 80 MHz bands (stop)
         std::make_pair(3084, dBr_u{0.0}),     // second 80 MHz allocated band left (start)
         std::make_pair(3581, dBr_u{0.0}),     // second 80 MHz allocated band left (stop)
         std::make_pair(3582, dBr_u{-20.0}),   // second 80 MHz DC band (start)
@@ -1325,7 +1327,7 @@
         std::make_pair(2563, dBr_u{0.0}),      // first 80 MHz allocated band right (start)
         std::make_pair(3060, dBr_u{0.0}),      // first 80 MHz allocated band right (stop)
         std::make_pair(3061, dBr_u{-20.0}),    // gap between 80 MHz bands (start)
-        std::make_pair(3083, dBr_u{-20.0}),    // gap between 80 MHz bands (start)
+        std::make_pair(3083, dBr_u{-20.0}),    // gap between 80 MHz bands (stop)
         std::make_pair(3084, dBr_u{0.0}),      // second 80 MHz allocated band left (start)
         std::make_pair(3581, dBr_u{0.0}),      // second 80 MHz allocated band left (stop)
         std::make_pair(3582, dBr_u{-20.0}),    // second 80 MHz DC band (start)
@@ -1376,7 +1378,7 @@
         std::make_pair(2567, dBr_u{-20.0}),   // punctured band (start)
         std::make_pair(3060, dBr_u{-20.0}),   // punctured band (stop)
         std::make_pair(3061, dBr_u{-20.0}),   // gap between 80 MHz bands (start)
-        std::make_pair(3083, dBr_u{-20.0}),   // gap between 80 MHz bands (start)
+        std::make_pair(3083, dBr_u{-20.0}),   // gap between 80 MHz bands (stop)
         std::make_pair(3084, dBr_u{0.0}),     // second 80 MHz allocated band left (start)
         std::make_pair(3581, dBr_u{0.0}),     // second 80 MHz allocated band left (stop)
         std::make_pair(3582, dBr_u{-20.0}),   // second 80 MHz DC band (start)
@@ -1425,7 +1427,7 @@
         std::make_pair(2563, dBr_u{0.0}),     // first 80 MHz allocated band right (start)
         std::make_pair(3060, dBr_u{0.0}),     // first 80 MHz allocated band right (stop)
         std::make_pair(3061, dBr_u{-20.0}),   // gap between 80 MHz bands (start)
-        std::make_pair(3083, dBr_u{-20.0}),   // gap between 80 MHz bands (start)
+        std::make_pair(3083, dBr_u{-20.0}),   // gap between 80 MHz bands (stop)
         std::make_pair(3084, dBr_u{-20.0}),   // punctured band (start)
         std::make_pair(3576, dBr_u{-20.0}),   // punctured band (stop)
         std::make_pair(3577, dBr_u{-20.0}),   // punctured band increasing slope (start)
@@ -1476,7 +1478,7 @@
         std::make_pair(2563, dBr_u{0.0}),     // first 80 MHz allocated band right (start)
         std::make_pair(3060, dBr_u{0.0}),     // first 80 MHz allocated band right (stop)
         std::make_pair(3061, dBr_u{-20.0}),   // gap between 80 MHz bands (start)
-        std::make_pair(3083, dBr_u{-20.0}),   // gap between 80 MHz bands (start)
+        std::make_pair(3083, dBr_u{-20.0}),   // gap between 80 MHz bands (stop)
         std::make_pair(3084, dBr_u{0.0}),     // second 80 MHz allocated band left (start)
         std::make_pair(3581, dBr_u{0.0}),     // second 80 MHz allocated band left (stop)
         std::make_pair(3582, dBr_u{-20.0}),   // second 80 MHz DC band (start)
